Subject: [secdir] secdir review of draft-ietf-behave-stun-test-vectors-03.txt

From: Alexey Melnikov <[email-masked]>
Date: Sun, 26 Oct 2008 15:27:43 +0000

I have reviewed this document as part of the security directorate's
ongoing effort to review all IETF documents being processed by the IESG.
These comments were written primarily for the benefit of the security
area directors.  Document editors and WG chairs should treat these
comments just like any other last call comments.

This document provides test vectors for FINGERPRINT and MESSAGE-INTEGRITY Session Traversal Utilities for NAT (STUN) protocol attributes.

I agree with the author that there are no Security considerations worth noting in the document. IMHO, the importing thing for this type of document is to have 2 independent implementations that confirm that values provided in the document are indeed correct.
/**/
I liked that one example included non-ASCII characters in the username.

Nits: I think the convention for representing Unicode characters need to be specifically mentioned somewhere around Introduction.
Also, SASLPrep and HMAC-SHA1 probably need informative references.

_______________________________________________
secdir mailing list
[email-masked]
https://mailman.mit.edu/mailman/listinfo/secdir
_______________________________________________
secdir mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/secdir